Sp 2317

From Htmlpedia
Jump to: navigation, search

OpenSP: URL not supported by this version

Cause:

This error appears

  • when the page’s doctype is not in the SGML parser’s W3C DTD library.
  • when there is content in the document before the DOCTYPE declaration.

Example:

A HTML with a custom DTD:

Bad<!DOCTYPE html PUBLIC "-//example.com//DTD XHTML 1.1 plus MyData 1.0//EN" "http://www.example.com/DTD/xhtml11-my_data.dtd">
Good<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

Solution:

Check that there is no unnecessary content before the DOCTYPE declaration. This may often happen if the HTML is generated by a server-side program such as PHP, and some error is output before the HTML data.

Check that the DTD that you use exists and is one of the official W3C DTDs. If you need special tags, use XML and XSLT, not XHTML.

References: